cdac.medinfo.enrty

## Class PopulateDataType

- java.lang.Object
- - cdac.medinfo.enrty.PopulateDataType

-     public class PopulateDataType
      extends java.lang.Object

  This Class is used to populate Data types used for Entry Data Generation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopulateDataType()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AD` | `populateAD(Address objParticipantAddr)` This method is used to populate AD Data types which specifies Mailing and home or office addresses.
    `static CD` | `populateCD(java.lang.String code, java.lang.String codeSystem)` This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system.
    `static CD` | `populateCD(java.lang.String code, java.lang.String codeSystem, java.lang.Object objModel, java.lang.String testName)` This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system.
    `static CD` | `populateCD(java.lang.String code, java.lang.String codeSystem, java.lang.String displayName)` This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system.
    `static CD` | `populateCDAndCR(java.lang.String code, java.lang.String codeSystem, java.lang.String displayName)` This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system.
    `static CD` | `populateCDAndED(java.lang.String code, java.lang.String codeSystem, java.lang.String displayName, ED objED)` This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system.
    `static CD` | `populateCDNullFalvor(java.lang.String nullFalvor)` This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system.
    `static CD` | `populateCDOriginalText(java.lang.String originalText)` This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system.
    `static CE` | `populateCE(java.lang.String code)` This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept.
    `static CE` | `populateCE(java.lang.String code, java.lang.String codeSystem)` This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept.
    `static CE` | `populateCE(java.lang.String code, java.lang.String codeSystem, java.lang.String displayName)` This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept.
    `static CE` | `populateCE(java.lang.String code, java.lang.String codeSystem, java.lang.String codeSystemName, java.lang.String displayName)` This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept.
    `static CE` | `populateCEAndED(java.lang.String code, java.lang.String codeSystem, java.lang.String displayName)` This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept.
    `static CE` | `populateCEAndED(java.lang.String code, java.lang.String codeSystem, java.lang.String displayName, java.lang.String testName)` This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept.
    `static CS` | `populateCS(java.lang.String value)` This method is used to populate CS Data types which specifies Coded data, consists of a code, display name, code system,and original text.
    `static CV` | `populateCV(java.lang.String code, java.lang.String displayName)` This method is used to populate CV Data types which specifies Coded data, consists of a code, display name, code system,and original text.
    `static CV` | `populateCV(java.lang.String code, java.lang.String codeSystem, java.lang.String displayName)` This method is used to populate CV Data types which specifies Coded data, consists of a code, display name, code system,and original text.
    `static ED` | `populateED(java.lang.String key)` This method is used to populate ED Data types which specifies Data that is primarily intended for human interpretation or for further machine processing is outside the scope ofHL7.
    `static II` | `populateII(java.lang.String root)` This method is used to populate II Data types an identifier that uniquely identifies a thing or object.
    `static II` | `populateII(java.lang.String extension, java.lang.String root)` This method is used to populate II Data types an identifier that uniquely identifies a thing or object.
    `static II` | `populateII(java.lang.String extension, java.lang.String root, java.lang.String assigningAuthorityName)` This method is used to populate II Data types an identifier that uniquely identifies a thing or object.
    `static INT` | `populateIVLINT(java.lang.String value)` This method is used to populate INT Data types used which specify as Integer numbers (-1,0,1,2, 100, 3398129, etc.) are precise numbers that are results of counting and enumerating.Integer numbers are discrete, the set of integers is infinite but countable.
    `static IVLPQ` | `populateIVLPQ(java.lang.String value)` This method is used to populate IVLPQ Data types.
    `static IVLTS` | `populateIVLTS()` This method is used to populate PIVLTS Data types.
    `static IVLTS` | `populateIVLTS(EffectiveDateTime objEffectiveDateTime)` This method is used to populate IVLTS Data types.
    `static IVLTS` | `populateIVLTS(java.lang.String value)` This method is used to populate IVLTS Data types.
    `static PN` | `populateNameList(PatientDetails objPatientDetails)` This method is used to populate PN Data types which specifies A name for a person.
    `static PN` | `populateNameList(java.lang.String prefix, java.lang.String given, java.lang.String family, java.lang.String suffix)` This method is used to populate PN Data types which specifies A name for a person.
    `static PIVLTS` | `populatePIVLTS(java.lang.String periodUnit, java.lang.String periodValue, java.lang.Boolean datePresent)` This method is used to populate PIVLTS Data types.
    `static PN` | `populatePN(java.lang.String property)` This method is used to populate PN Data types which specifies A name for a person.
    `static PQ` | `populatePQ(java.lang.String value, java.lang.String unit)` This method is used to populate PQ Data types which specifies a dimensioned quantity expressing the result of a measurement act.
    `static SC` | `populateSC(java.lang.String value)` This method is used to populate SC Data type.
    `static ST` | `populateST(java.lang.String value)` This method is used to populate ST Data types which specify the character string data type stands for text data,primarily intended for machine processing (e.g.,sorting, querying, indexing, etc.) Used for names,symbols, and formal expressions
    `static SXCMTS` | `populateSXCMTS(java.lang.String val)` This method is used to populate SXCMTS Data types.
    `static TEL` | `populateTEL(Contact objContact)` This method is used to populate TEL Data types an identifier a telephone number (voice or fax), e-mail address, or other locator for a resource (information or service)mediated by telecommunication equipment.
    `static TEL` | `populateTEl(java.lang.String telcom)` This method is used to populate TEL Data types an identifier a telephone number (voice or fax), e-mail address, or other locator for a resource (information or service)mediated by telecommunication equipment.
    `static TS` | `populateTS()` This method is used to populate TS Data types which specify a quantity specifying a point on the axis of natural time.
    `static TS` | `populateTS(java.lang.String value)` This method is used to populate TS Data types which specify a quantity specifying a point on the axis of natural time.
    `static II` | `setIINullFalvour(java.lang.String value)` This method is used to populate II Data types an identifier that uniquely identifies a thing or object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopulateDataType

          public PopulateDataType()

  - ### Method Detail

    - #### populateST

          public static ST populateST(java.lang.String value)

      This method is used to populate ST Data types which specify the character string data type stands for text data,primarily intended for machine processing (e.g.,sorting, querying, indexing, etc.) Used for names,symbols, and formal expressions
      Parameters:
        `value` - - String value to be converted in ST data type
      Returns:
        st- ST data type object

    - #### setIINullFalvour

          public static II setIINullFalvour(java.lang.String value)

      This method is used to populate II Data types an identifier that uniquely identifies a thing or object. Examples are object identifier for HL7 RIM objects,medical record number, order id, service catalog item id, Vehicle Identification Number (VIN), etc. Instance identifiers are defined based on ISO object identifiers.
      Parameters:
        `value` - - String value to be converted in II data type
      Returns:
        ii- II data type object

    - #### populateII

          public static II populateII(java.lang.String extension,
                                      java.lang.String root)

      This method is used to populate II Data types an identifier that uniquely identifies a thing or object. Examples are object identifier for HL7 RIM objects,medical record number, order id, service catalog item id, Vehicle Identification Number (VIN), etc. Instance identifiers are defined based on ISO object identifiers.
      Parameters:
        `extension` - - String value to be represent extension in II data type
        `root` - - String value to be represent root in II data type
      Returns:
        ii- II data type object

    - #### populateII

          public static II populateII(java.lang.String extension,
                                      java.lang.String root,
                                      java.lang.String assigningAuthorityName)

      This method is used to populate II Data types an identifier that uniquely identifies a thing or object. Examples are object identifier for HL7 RIM objects,medical record number, order id, service catalog item id, Vehicle Identification Number (VIN), etc. Instance identifiers are defined based on ISO object identifiers.
      Parameters:
        `extension` - - String value to be represent extension in II data type
        `root` - - String value to be represent root in II data type
        `assigningAuthorityName` - - String value to represent assigningAuthorityNamein II data type
      Returns:
        ii- II data type object

    - #### populateII

          public static II populateII(java.lang.String root)

      This method is used to populate II Data types an identifier that uniquely identifies a thing or object. Examples are object identifier for HL7 RIM objects,medical record number, order id, service catalog item id, Vehicle Identification Number (VIN), etc. Instance identifiers are defined based on ISO object identifiers.
      Parameters:
        `root` - - String value to be represent root in II data type
      Returns:
        ii- II data type object

    - #### populateCS

          public static CS populateCS(java.lang.String value)

      This method is used to populate CS Data types which specifies Coded data, consists of a code, display name, code system,and original text. Used when a single code value must be sent.
      Parameters:
        `value` - - String value to be converted in CS data type
      Returns:
        cs- CS data type object

    - #### populateSC

          public static SC populateSC(java.lang.String value)

      This method is used to populate SC Data type. A character string that optionally may have a code attached. The text must always be present if a code is present. The code is often a local code.
      Parameters:
        `value` - - String value to be converted in CS data type
      Returns:
        sc- SC data type object

    - #### populateTS

          public static TS populateTS(java.lang.String value)

      This method is used to populate TS Data types which specify a quantity specifying a point on the axis of natural time. A point in time is most often represented as a calendar expression.
      Parameters:
        `value` - - String value to be converted in TS data type
      Returns:
        ts- TS data type object

    - #### populateTS

          public static TS populateTS()

      This method is used to populate TS Data types which specify a quantity specifying a point on the axis of natural time. A point in time is most often represented as a calendar expression.
      Returns:
        ts- TS data type object representing Current date

    - #### populateIVLINT

          public static INT populateIVLINT(java.lang.String value)

      This method is used to populate INT Data types used which specify as Integer numbers (-1,0,1,2, 100, 3398129, etc.) are precise numbers that are results of counting and enumerating.Integer numbers are discrete, the set of integers is infinite but countable. No arbitrary limit is imposed on the range of integer numbers. Two NULL flavors are defined for the positive and negative infinity.
      Parameters:
        `value` - - String value to be converted in INT data type
      Returns:
        intobj- INT data type object

    - #### populateIVLTS

          public static IVLTS populateIVLTS(java.lang.String value)

      This method is used to populate IVLTS Data types.
      Parameters:
        `value` - - String value to be converted in IVLTS data type
      Returns:
        ivlts- IVLTS data type object

    - #### populateIVLTS

          public static IVLTS populateIVLTS(EffectiveDateTime objEffectiveDateTime)

      This method is used to populate IVLTS Data types.
      Parameters:
        `objEffectiveDateTime` - - EffectiveDateTime object value to be converted in IVLTS data type
      Returns:
        ivlts- IVLTS data type object

    - #### populatePIVLTS

          public static PIVLTS populatePIVLTS(java.lang.String periodUnit,
                                              java.lang.String periodValue,
                                              java.lang.Boolean datePresent)

      This method is used to populate PIVLTS Data types.
      Parameters:
        `periodUnit` - - periodUnit string value to be converted in PIVLTS data type
        `periodValue` - -periodValue string value to be converted in PIVLTS data type
        `datePresent` - - if date object is populated in Medication then value is true else false
      Returns:
        pivlts- PIVLTS data type object

    - #### populateIVLTS

          public static IVLTS populateIVLTS()

      This method is used to populate PIVLTS Data types.
      Returns:
        ivlts- IVLTS data type object representing current date time with timezone

    - #### populateSXCMTS

          public static SXCMTS populateSXCMTS(java.lang.String val)

      This method is used to populate SXCMTS Data types.
      Parameters:
        `val` - - Represents date in string format
      Returns:
        sxcmts- SXCMTS data type object representing current date time with timezone

    - #### populateCV

          public static CV populateCV(java.lang.String code,
                                      java.lang.String codeSystem,
                                      java.lang.String displayName)

      This method is used to populate CV Data types which specifies Coded data, consists of a code, display name, code system,and original text. Used when a single code value must be sent.
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
        `displayName` - - Ddisplay Name
      Returns:
        cv- CV data type object

    - #### populateCV

          public static CV populateCV(java.lang.String code,
                                      java.lang.String displayName)

      This method is used to populate CV Data types which specifies Coded data, consists of a code, display name, code system,and original text. Used when a single code value must be sent.
      Parameters:
        `code` - - code in String format
        `displayName` - - Display Name
      Returns:
        cv- CV data type object

    - #### populateCE

          public static CE populateCE(java.lang.String code,
                                      java.lang.String codeSystem,
                                      java.lang.String displayName)

      This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept. Used when alternative codes may exist
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
        `displayName` - - Display Name
      Returns:
        ce- CE data type object

    - #### populateCE

          public static CE populateCE(java.lang.String code,
                                      java.lang.String codeSystem)

      This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept. Used when alternative codes may exist
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
      Returns:
        ce- CE data type object

    - #### populateCE

          public static CE populateCE(java.lang.String code)

      This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept. Used when alternative codes may exist
      Parameters:
        `code` - - code in String format
      Returns:
        ce- CE data type object

    - #### populateTEl

          public static TEL populateTEl(java.lang.String telcom)

      This method is used to populate TEL Data types an identifier a telephone number (voice or fax), e-mail address, or other locator for a resource (information or service)mediated by telecommunication equipment. The address is specified as a Universal Resource Locator(URL) qualified by time specification and use codes that help in deciding which address to use for a given time and purpose.
      Parameters:
        `telcom` - - String value to be converted in TEL data type
      Returns:
        tel- TEL data type object

    - #### populateTEL

          public static TEL populateTEL(Contact objContact)

      This method is used to populate TEL Data types an identifier a telephone number (voice or fax), e-mail address, or other locator for a resource (information or service)mediated by telecommunication equipment. The address is specified as a Universal Resource Locator(URL) qualified by time specification and use codes that help in deciding which address to use for a given time and purpose.
      Parameters:
        `objContact` - - Contact Object to be converted in TEL data type
      Returns:
        Telecom- TEL data type object

    - #### populateCD

          public static CD populateCD(java.lang.String code,
                                      java.lang.String codeSystem,
                                      java.lang.String displayName)

      This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system. A concept descriptor can contain the original text or phrase that served as the basis of the coding and one or more translations into different coding systems. A concept descriptor can also contain qualifiers to describe, e.g.,the concept of a "left foot" as a post coordinated term built from the primary code "FOOT" and the qualifier "LEFT".In exceptional cases, the concept descriptor need not contain a code but only the original text describing that concept.
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
        `displayName` - - Display Name
      Returns:
        cd- CD data type object

    - #### populateCDAndED

          public static CD populateCDAndED(java.lang.String code,
                                           java.lang.String codeSystem,
                                           java.lang.String displayName,
                                           ED objED)

      This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system. A concept descriptor can contain the original text or phrase that served as the basis of the coding and one or more translations into different coding systems. A concept descriptor can also contain qualifiers to describe, e.g.,the concept of a "left foot" as a post coordinated term built from the primary code "FOOT" and the qualifier "LEFT".In exceptional cases, the concept descriptor need not contain a code but only the original text describing that concept.
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
        `displayName` - - Display Name
        `objED` - - ED data type object
      Returns:
        cd- CD data type object

    - #### populateCD

          public static CD populateCD(java.lang.String code,
                                      java.lang.String codeSystem)

      This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system. A concept descriptor can contain the original text or phrase that served as the basis of the coding and one or more translations into different coding systems. A concept descriptor can also contain qualifiers to describe, e.g.,the concept of a "left foot" as a post coordinated term built from the primary code "FOOT" and the qualifier "LEFT".In exceptional cases, the concept descriptor need not contain a code but only the original text describing that concept.
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
      Returns:
        cd- CD data type object

    - #### populateCDNullFalvor

          public static CD populateCDNullFalvor(java.lang.String nullFalvor)

      This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system. A concept descriptor can contain the original text or phrase that served as the basis of the coding and one or more translations into different coding systems. A concept descriptor can also contain qualifiers to describe, e.g.,the concept of a "left foot" as a post coordinated term built from the primary code "FOOT" and the qualifier "LEFT".In exceptional cases, the concept descriptor need not contain a code but only the original text describing that concept.
      Parameters:
        `nullFalvor` - - Null Falvor in String format
      Returns:
        cd- CD data type object

    - #### populateAD

          public static AD populateAD(Address objParticipantAddr)

      This method is used to populate AD Data types which specifies Mailing and home or office addresses. A sequence of address parts, such as street or post office Box, city,postal code, country, etc.
      Parameters:
        `objParticipantAddr` - - `Address` object representing Participant Address
      Returns:
        addr- AD data type object

    - #### populateNameList

          public static PN populateNameList(java.lang.String prefix,
                                            java.lang.String given,
                                            java.lang.String family,
                                            java.lang.String suffix)

      This method is used to populate PN Data types which specifies A name for a person. A sequence of name parts, such as given name or family name, prefix, suffix, etc.PN differs from EN because the qualifier type cannot include LS(Legal Status).
      Parameters:
        `prefix` - - represent Prefix used by person
        `given` - - represent Name used by person
        `family` - - represent Family name used by person
        `suffix-` - represent suffix used by person
      Returns:
        pn- PN data type object

    - #### populateCDOriginalText

          public static CD populateCDOriginalText(java.lang.String originalText)

      This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system. A concept descriptor can contain the original text or phrase that served as the basis of the coding and one or more translations into different coding systems. A concept descriptor can also contain qualifiers to describe, e.g.,the concept of a "left foot" as a post coordinated term built from the primary code "FOOT" and the qualifier "LEFT".In exceptional cases, the concept descriptor need not contain a code but only the original text describing that concept.
      Parameters:
        `originalText` - - originalText in String format
      Returns:
        cd- CD data type object

    - #### populateNameList

          public static PN populateNameList(PatientDetails objPatientDetails)

      This method is used to populate PN Data types which specifies A name for a person. A sequence of name parts, such as given name or family name, prefix, suffix, etc.PN differs from EN because the qualifier type cannot include LS(Legal Status).
      Parameters:
        `objPatientDetails` - - PatientDetails object
      Returns:
        pn- PN data type object

    - #### populatePQ

          public static PQ populatePQ(java.lang.String value,
                                      java.lang.String unit)

      This method is used to populate PQ Data types which specifies a dimensioned quantity expressing the result of a measurement act.
      Parameters:
        `value` - - Value string value to be converted in PQ data type
        `unit` - -Unit string value to be converted in PQ data type
      Returns:
        pq- PQ data type object

    - #### populateED

          public static ED populateED(java.lang.String key)

      This method is used to populate ED Data types which specifies Data that is primarily intended for human interpretation or for further machine processing is outside the scope ofHL7. This includes unformatted or formatted written language, multi media data, or structured information as defined by a different standard (e.g., XML-signatures.) Instead of the data itself, an ED may contain only a reference (see TEL.) Note that the ST data type is a specialization of the ED data type when the ED media type is text/plain.
      Parameters:
        `key` - - key is string value to be converted in ED data type
      Returns:
        ed- ED data type object

    - #### populateIVLPQ

          public static IVLPQ populateIVLPQ(java.lang.String value)

      This method is used to populate IVLPQ Data types.
      Parameters:
        `value` - - value is string value to be converted in IVLPQ data type
      Returns:
        ivlpq- IVLPQ data type object

    - #### populateCEAndED

          public static CE populateCEAndED(java.lang.String code,
                                           java.lang.String codeSystem,
                                           java.lang.String displayName)

      This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept. Used when alternative codes may exist
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
        `displayName` - - Display Name
      Returns:
        ce- CE data type object

    - #### populateCEAndED

          public static CE populateCEAndED(java.lang.String code,
                                           java.lang.String codeSystem,
                                           java.lang.String displayName,
                                           java.lang.String testName)

      This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept. Used when alternative codes may exist
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
        `displayName` - - Display Name
        `testName` - - Test Name
      Returns:
        ce- CE data type object

    - #### populateCD

          public static CD populateCD(java.lang.String code,
                                      java.lang.String codeSystem,
                                      java.lang.Object objModel,
                                      java.lang.String testName)

      This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system. A concept descriptor can contain the original text or phrase that served as the basis of the coding and one or more translations into different coding systems. A concept descriptor can also contain qualifiers to describe, e.g.,the concept of a "left foot" as a post coordinated term built from the primary code "FOOT" and the qualifier "LEFT".In exceptional cases, the concept descriptor need not contain a code but only the original text describing that concept.
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
        `objModel` - - represent Model object
        `testName` - - Test Name
      Returns:
        cd- CD data type object

    - #### populateCE

          public static CE populateCE(java.lang.String code,
                                      java.lang.String codeSystem,
                                      java.lang.String codeSystemName,
                                      java.lang.String displayName)

      This method is used to populate CE Data types which specifies Coded data, consists of a coded value (CV)and, optionally, coded value(s) from other coding systemsthat identify the same concept. Used when alternative codes may exist
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
        `codeSystemName` - - code system name in String format
        `displayName` - - Display Name
      Returns:
        ce- CE data type object

    - #### populatePN

          public static PN populatePN(java.lang.String property)

      This method is used to populate PN Data types which specifies A name for a person. A sequence of name parts, such as given name or family name, prefix, suffix, etc.PN differs from EN because the qualifier type cannot include LS(Legal Status).
      Parameters:
        `property` - - String represent property
      Returns:
        pn- PN data type object

    - #### populateCDAndCR

          public static CD populateCDAndCR(java.lang.String code,
                                           java.lang.String codeSystem,
                                           java.lang.String displayName)

      This method is used to populate CD Data types which specifies a concept descriptor represents any kind of concept usually by giving a code defined in a code system. A concept descriptor can contain the original text or phrase that served as the basis of the coding and one or more translations into different coding systems. A concept descriptor can also contain qualifiers to describe, e.g.,the concept of a "left foot" as a post coordinated term built from the primary code "FOOT" and the qualifier "LEFT".In exceptional cases, the concept descriptor need not contain a code but only the original text describing that concept.
      Parameters:
        `code` - - code in String format
        `codeSystem` - - code system in String format
        `displayName` - - Display Name
      Returns:
        cd- CD data type object